gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.FontT

Contents

- Exported types
- Methods

Description

Data type for holding fonts.

Synopsis

- newtype FontT = FontT (ManagedPtr FontT)

# Exported types

newtype FontT Source #

Memory-managed wrapper type.

Constructors

FontT (ManagedPtr FontT) |

#### Instances

Instances details

Eq FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods (==) :: FontT -> FontT -> Bool Source # (/=) :: FontT -> FontT -> Bool Source #
GBoxed FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT
ManagedPtrNewtype FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods toManagedPtr :: FontT -> ManagedPtr FontT Source #
TypedObject FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods glibType :: IO GType Source #
HasParentTypes FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT
IsGValue (Maybe FontT) Source # | Convert `FontT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FontT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FontT) Source #
type ParentTypes FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT type ParentTypes FontT = '[] :: [Type]

# Methods